import React from 'react';
import SvgIcon from '@mui/material/SvgIcon';

export default props => (
  <SvgIcon viewBox="0 0 32 38" {...props}>
    <path d="M28 25.44c1.6 0 2.848-1.28 2.848-2.848s-1.248-2.848-2.848-2.848c-1.568 0-2.848 1.28-2.848 2.848s1.28 2.848 2.848 2.848zM28 20.256c1.312 0 2.336 1.024 2.336 2.336 0 1.28-1.024 2.336-2.336 2.336-1.28 0-2.336-1.056-2.336-2.336 0-1.312 1.056-2.336 2.336-2.336zM25.152 5.6c0-1.568 1.28-2.848 2.848-2.848 1.6 0 2.848 1.28 2.848 2.848s-1.248 2.848-2.848 2.848c-1.568 0-2.848-1.28-2.848-2.848zM34.272 27.424v2.304h-36.544v-27.456h2.272v25.152h34.272zM28.512 19.072h-0.96v-9.728h0.96v9.728zM14.176 15.424c1.568 0 2.848-1.28 2.848-2.848s-1.28-2.848-2.848-2.848c-1.6 0-2.848 1.28-2.848 2.848s1.248 2.848 2.848 2.848zM14.176 10.24c1.28 0 2.336 1.056 2.336 2.336s-1.056 2.336-2.336 2.336c-1.312 0-2.336-1.056-2.336-2.336s1.024-2.336 2.336-2.336zM11.328 3.648c0-1.6 1.248-2.848 2.848-2.848 1.568 0 2.848 1.248 2.848 2.848s-1.28 2.848-2.848 2.848c-1.6 0-2.848-1.28-2.848-2.848zM14.688 8.8h-0.992v-1.344h0.992v1.344zM6.88 23.488c1.568 0 2.848-1.28 2.848-2.848s-1.28-2.848-2.848-2.848c-1.568 0-2.848 1.28-2.848 2.848s1.28 2.848 2.848 2.848zM6.88 18.304c1.28 0 2.336 1.024 2.336 2.336 0 1.28-1.056 2.336-2.336 2.336s-2.336-1.056-2.336-2.336c0-1.312 1.056-2.336 2.336-2.336zM4.032 10.080c0-1.568 1.28-2.848 2.848-2.848s2.848 1.28 2.848 2.848-1.28 2.848-2.848 2.848c-1.568 0-2.848-1.28-2.848-2.848zM7.392 17.12h-0.96v-3.232h0.96v3.232zM21.408 12.032c1.568 0 2.848-1.28 2.848-2.848s-1.28-2.848-2.848-2.848c-1.568 0-2.848 1.28-2.848 2.848s1.28 2.848 2.848 2.848zM21.408 6.848c1.28 0 2.336 1.056 2.336 2.336s-1.056 2.336-2.336 2.336c-1.28 0-2.336-1.056-2.336-2.336s1.056-2.336 2.336-2.336zM18.56 18.272c0-1.568 1.28-2.848 2.848-2.848s2.848 1.28 2.848 2.848-1.28 2.848-2.848 2.848c-1.568 0-2.848-1.248-2.848-2.848zM21.92 14.528h-0.96v-1.568h0.96v1.568z" />
  </SvgIcon>
);
